using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace MapClient
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            SimpleMapClient smp = new SimpleMapClient();
            Application.Run(smp.getHelloWindow());
        }

        // entry point for thread connected with main window
        static void mainWindowThreadMethod(object smp)
        {
            Application.Run(((SimpleMapClient)smp).getMainWindow());

        }
    }
}